package com.cusc.nirvana.user.rnr.fp.constants;

/**
 * Description: redis相关常量类
 **/
public class RedisConstant {

    //实名信息上传key前缀
    public static final String RNR_INSTRUCTION_UPLOAD_KEY = "CT:RNR:INSTRUCTION:UPLOAD:KEY:";

    //短信验证码key前缀
    public static final String SMS_CAPTCHA_KEY = "CT:RNR:SMS:CAPTCHA:";

    //实名验证短信验证码间隔key前缀
    public static final String SMS_RNR_CAPTCHA_SEND_INTERVAL_KEY = "CT:RNR:SMS:INTERVAL:CAPTCHA:";

	/**
	 * 实名短信同一手机号一天最大限制此时
	 */
	public static final String SMS_RNR_CAPTCHA_LIMIT_TIMES = "CT:RNR:SMS:LIMIT:TIMES:";

    /**
     * 实名 （活体数字验证码+动作序列）rediskey 前缀
     */
    public static String USER_RNR_LIVENESSCODE_PREFIX = "CT:RNR:LIVENESS:CODE:";

    //T1车企信息配置
    public static final String T1_VEHICLE_COMPANY_CONFIG = "CT:RNR:T1:VEHICLE_COMPANY:";

    //T1车企信息配置 失效时间 秒
    public static final int T1_VEHICLE_COMPANY_CONFIG_EXPIRE = 3600;

    //T1车企信息配置
    public static final String T1_VEHICLE_COMPANY_CODE_CONFIG = "CT:RNR:T1:VEHICLE_COMPANY:CODE:";

    //自然人实名失败次数阈值 key
    public static final String PERSON_RNR_ERROR_COUNT_THRESHOLD = "CT:RNR:PERSON:RNR:ERROR:COUNT:";

    //自然人实名失败次数阈值 key 失效时间 单位秒
    public static final int PERSON_RNR_ERROR_COUNT_THRESHOLD_EXPIRE = 43200;

    //短信验证码错误次数key前缀
    public static final String SMS_CAPTCHA_ERROR_COUNT_KEY = "CT:RNR:SMS:CAPTCHA:ERROR_COUNT:";

    //T1上报状态锁
    public static final String T1_UPLOAD_STATUS_LOCK = "CT:RNR:T1:UPLOAD_STATUS:LOCK";

    //T1上报状态锁默认失效时间（秒）
    public static final int T1_UPLOAD_STATUS_LOCK_EXPIRE = 60;

    //短信验证码错误次数key默认失效时间（秒）
    public static final int SMS_CAPTCHA_ERROR_COUNT_EXPIRE = 3600;

    /**
     * 实名活体回调锁
     */
    public static final String RNR_H5_CALLBACK_LOCK = "CT:RNR:LOCK:H5:CALLBACK:";

    /**
     * 实名活体回调锁默认失效时间（毫秒）
     */
    public static final int RNR_H5_CALLBACK_LOCK_EXPIRE = 90000;
}
