package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author stayAnd
 * @date 2022/4/24
 * 企业修改 实名责任人 DTO
 */
@Data
public class EnterpriseChangeRnrPersonDTO {


	@ApiModelProperty(value = "租户编号")
	@NotBlank(message = "租户编号不能为空")
	private String tenantNo;


	@ApiModelProperty(value = "企业名称")
	@NotBlank(message = "企业名称不能为空")
	private String companyName;

	@ApiModelProperty(value = "原责任人姓名")
	@NotBlank(message = "原责任人姓名不能为空")
	private String origCorporationName;

	@ApiModelProperty(value = "责任人姓名")
	@NotBlank(message = "责任人姓名不能为空")
	private String corporationName;

	@ApiModelProperty(value = "性别")
	@NotBlank(message = "性别不能为空")
	private String corporationGender;

	@ApiModelProperty(value = "责任人证件类型")
	@NotBlank(message = "责任人证件类型不能为空")
	private String corporationCertType;


	@ApiModelProperty(value = "责任人证件号")
	@NotBlank(message = "责任人证件号不能为空")
	private String corporationCertNumber;

	@ApiModelProperty(value = "责任人证件地址")
	@NotBlank(message = "责任人证件地址不能为空")
	private String corporationCertAddress;

	@ApiModelProperty(value = "责任人证件图片集合，身份证第一张必须是人像面")
	@NotBlank(message = "责任人证件图片不能为空")
	private List<String> corporationCertPic;

	@ApiModelProperty(value = "责任人证件有效期开始时间")
	@NotBlank(message = "责任人证件有效期开始时间不能为空")
	private String corporationCertEffectiveDate;

	@ApiModelProperty(value = "责任人证件有效期")
	@NotBlank(message = "责任人证件有效期不能为空")
	private String corporationCertExpirationDate;

	@ApiModelProperty(value = "责任人通讯地址")
	@NotBlank(message = "责任人通讯地址不能为空")
	private String corporationContactAddress;

	@ApiModelProperty(value = "责任人手机号码")
	@NotBlank(message = "责任人手机号码不能为空")
	private String corporationPhone;

	@ApiModelProperty(value = "短信验证码")
	@NotBlank(message = "短信验证码不能为空")
	private String captcha;

	@ApiModelProperty(value = "企业实名认证授权书")
	@NotBlank(message = "企业实名认证授权书不能为空")
	private List<String> authorizationLetterPic;

	@ApiModelProperty(value = "责任人活体视频")
	@NotBlank(message = "责任人活体视频不能为空")
	private String corporationVideo;

	@ApiModelProperty(value = "创建人")
	@NotBlank(message = "创建人id")
	String creator;

	@ApiModelProperty(value = "修改实名信息途径来源 参考枚举 RnrOrderSourceEnum")
	private String source;

}
