package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseRnrMgPageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 实名业务短信信息(FpRnrSmsInfo)传输对象类
 *
 * @author yuy336
 * @since 2022-04-19 20:38:45
 */
@ApiModel(value = "实名业务短信信息", description = "实名业务短信信息")
@Data
public class FpRnrSmsInfoDTO extends BaseRnrMgPageDTO {

    private static final long serialVersionUID = -98825765305353922L;
    
    @ApiModelProperty(value = "业务主键")
    private String uuid;
    
    @ApiModelProperty(value = "实名id")
    private String rnrId;
    
    @ApiModelProperty(value = "业务对应的卡，多张，建议逗号隔开")
    private String iccids;
    
    @ApiModelProperty(value = "实名短信类型：1 一车多卡绑定 2 原车主解绑 3 二手车解绑  4换件")
    private Integer bizType;
    
    @ApiModelProperty(value = "发送的短信id")
    private String sendSmsId;
    
    @ApiModelProperty(value = "发送的号码")
    private String sendPhone;
    
    @ApiModelProperty(value = "发送的内容")
    private String sendContent;
    
    @ApiModelProperty(value = "接收的短信id")
    private String receiveSmsId;
    
    @ApiModelProperty(value = "接收的号码")
    private String receivePhone;
    
    @ApiModelProperty(value = "接收的内容")
    private String receiveContent;
    
    @ApiModelProperty(value = "最后一次操作人")
    private String operator;

    @ApiModelProperty(value = "工单id")
    private String orderId;


}

