package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseRnrFpPageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * T1上报状态(FpT1UploadStatus)传输对象类
 *
 * @author yuy336
 * @since 2022-07-06 14:09:47
 */
@ApiModel(value = "T1上报状态", description = "T1上报状态")
@Data
public class FpT1UploadStatusDTO extends BaseRnrFpPageDTO {

    private static final long serialVersionUID = -62470676840489555L;
    
    @ApiModelProperty(value = "业务主键")
    private String uuid;
    
    @ApiModelProperty(value = "iccid")
    private String iccid;
    
    @ApiModelProperty(value = "实名工单id")
    private String orderId;
    
    @ApiModelProperty(value = "开户信息上报状态：1 上报成功 2上报失败")
    private Integer userStatus;
    
    @ApiModelProperty(value = "开户信息上报描述")
    private String userStatusResp;
    
    @ApiModelProperty(value = "文件信息上报状态：1 上报成功 2上报失败")
    private Integer fileStatus;
    
    @ApiModelProperty(value = "文件信息上报描述")
    private String fileStatusResp;
    
    @ApiModelProperty(value = "车辆信息上报状态：1 上报成功 2上报失败")
    private Integer carStatus;
    
    @ApiModelProperty(value = "车辆信息上报描述")
    private String carStatusResp;

    @ApiModelProperty(value = "是否报竣 1 上报成功 2上报失败")
    private Integer reportCompletion;

    @ApiModelProperty(value = "报竣描述")
    private String reportCompletionResp;
    
    @ApiModelProperty(value = "租户编号")
    private String tenantNo;
    
    @ApiModelProperty(value = "最后一次操作人")
    private String operator;

    @ApiModelProperty(value = "切换状态：0 默认值，1 切流成功 2 切流失败")
    private Integer flowStatus;

    @ApiModelProperty(value = "切换状态描述")
    private String flowStatusResp;

    @ApiModelProperty(value = "请求标识，用于报竣")
    private String requestId;

    @ApiModelProperty(value = "上报时请求入参，用于T1重试")
    private String t1Request;

}

