package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * T1车企信息(FpT1VehicleCompany)传输对象类
 *
 * @author yuy336
 * @since 2022-06-08 19:26:58
 */
@ApiModel(value = "T1车企信息", description = "T1车企信息")
@Data
public class FpT1VehicleCompanyDTO implements Serializable {

    private static final long serialVersionUID = -43976088894242019L;
    
    @ApiModelProperty(value = "业务主键")
    private String uuid;
    
    @ApiModelProperty(value = "公司名称")
    private String companyName;
    
    @ApiModelProperty(value = "公司类型")
    private String companyType;
    
    @ApiModelProperty(value = "公司编码，用于T1接口上传")
    private String companyCode;
    
    @ApiModelProperty(value = "T1开户信息加密密钥")
    private String t1UserInfoKey;

    @ApiModelProperty(value = "T1指令加密密钥")
    private String t1InstructionKey;
    
    @ApiModelProperty(value = "租户编号")
    private String tenantNo;

    @ApiModelProperty(value = "组织id")
    private String orgId;
    
    @ApiModelProperty(value = "最后一次操作人")
    private String operator;
}

