package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户操作日志(FpUserOperationLog)传输对象类
 *
 * @author yuy336
 * @since 2022-06-20 09:37:56
 */
@ApiModel(value = "用户操作日志", description = "用户操作日志")
@Data
public class FpUserOperationLogDTO implements Serializable {

    private static final long serialVersionUID = 668031441254114613L;

    @ApiModelProperty(value = "数据库主键")
    private Long id;
    
    @ApiModelProperty(value = "业务主键")
    private String uuid;
    
    @ApiModelProperty(value = "操作模块：用户管理")
    private String optModule;
    
    @ApiModelProperty(value = "操作行为：新增、编辑、删除、分页查询、导出等")
    private String optAction;
    
    @ApiModelProperty(value = "操作内容，对敏感数据进行脱敏")
    private String optContent;
    
    @ApiModelProperty(value = "请求ip")
    private String requestIp;
    
    @ApiModelProperty(value = "请求URL")
    private String requestUrl;
    
    @ApiModelProperty(value = "请求参数")
    private String requestParameter;
    
    @ApiModelProperty(value = "响应码")
    private String responseCode;
    
    @ApiModelProperty(value = "响应提示")
    private String responseMsg;
    
    @ApiModelProperty(value = "租户编号")
    private String tenantNo;

	@ApiModelProperty(value = "组织id")
	private String orgId;

    @ApiModelProperty(value = "当前页码")
    private Integer currPage = 1;

    @ApiModelProperty(value = "页面显示行数")
    private Integer pageSize = 10;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;


	@ApiModelProperty(value = "创建时间查询开始")
	private Date createTimeQueryStart;

	@ApiModelProperty(value = "创建时间查询结束")
	private Date createTimeQueryStartEnd;
}

