package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class SimVehicleBindingDTO {

    /**组织id*/
    @ApiModelProperty(value = "组织uuid，该组织必须为主机厂", required = true)
    @NotBlank(message = "组织编码不能为空")
    private String organizationId;

    @ApiModelProperty(value = "业务标签uuid")
    private String tagUuid;

    /**车卡关系列表*/
    @ApiModelProperty(value = "车卡关系列表")
    @NotNull(message = "车卡关系列表不能为空")
    private List<SimVehicleDTO> bindingList;

    /**创建人*/
    @ApiModelProperty(value = "创建人", required = false)
    private String creator;

    @ApiModelProperty(value = "绑定状态")
    private String bindStatus;

    @ApiModelProperty("车企名录")
    private String companyCode;

}
