package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


@Data
public class T1CompletionReqDTO {

//    private static final long serialVersionUID = -36413222636238414L;
//
    @ApiModelProperty(value = "认证信息")
    private T1AuthDTO Auth;

    @NotNull(message = "请求标识不可为空")
    @ApiModelProperty(value = "请求标识")
    private String RequestID;

    @ApiModelProperty(value = "报竣标识")
    private String CallbackID;

    @NotNull(message = "道路机动车辆生产企业编码不可为空")
    @ApiModelProperty(value = "道路机动车辆生产企业编码")
    private String Code;

    /**
     * 01 单位批量实名报竣
     * 02 异步实名登记
     * 03 测试人员车辆测试实名登记
     * 04 测试人员管理报竣
     * 09 消息通知
     */
    @NotNull(message = "业务类型不可为空")
    @ApiModelProperty(value = "业务类型")
    private String CallbackType;

    /**
     * 01 BulkBack,参考单位批量实名 报竣信息
     * 02 SingleBack，参考异步实名登 记报竣信息
     * 03 TesterRequestBack，参考测 试人员车辆测试实名登记报竣信 息
     * 04 TestConfigBack，参考测试人 员管理报竣信息
     * 09 MsgBack，参考消息通知信息
     */
    @NotNull(message = "业务类型不可为空")
    @ApiModelProperty(value = "业务类型")
    private Object CallbackData;

    @NotNull(message = "车联网卡ICCID不可为空")
    @ApiModelProperty(value = "车联网卡ICCID")
    private String ICCID;

    @NotNull(message = "状态")
    @ApiModelProperty(value = "true:已实名、false:未实名")
    private Boolean IsAuth;

    @ApiModelProperty(value = "信息内容")
    private String Message;

    @ApiModelProperty(value = "实名状态变更时间")
    private String Date;

}

