package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;

/**
 * Pair of VIN and ICCID
 *
 * @author huchenhui
 * @date 2022-04-14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VinCardDTO {
    @ApiModelProperty(value = "车辆VIN号")
    @NotEmpty(message = "vin不能为空")
    private String vin;

    @ApiModelProperty(value = "ICCID编号")
    @NotEmpty(message = "iccid不能为空")
    private String iccid;

    private String oldIccid;

    private String resultCode;

    public VinCardDTO(String vin, String iccid) {
        this.vin = vin;
        this.iccid = iccid;
    }
}
