package com.cusc.nirvana.user.rnr.fp.converter;

import com.cusc.nirvana.user.rnr.fp.dao.entity.FpCarInfoPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpCarInfoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 车辆信息表(FpCarInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-06-28 19:46:26
 */
@Mapper
public interface FpCarInfoConverter {

    FpCarInfoConverter INSTANCE = Mappers.getMapper(FpCarInfoConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpCarInfoDTO poToDto(FpCarInfoPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpCarInfoPO dtoToPo(FpCarInfoDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<FpCarInfoDTO> poListToDtoList(List<FpCarInfoPO> list);

    List<FpCarInfoPO> dtoListToPoList(List<FpCarInfoDTO> dtos);
}
