package com.cusc.nirvana.user.rnr.fp.converter;

import com.cusc.nirvana.user.rnr.fp.dao.entity.FpT1UploadStatusPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpT1UploadStatusDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * T1上报状态(FpT1UploadStatus)表服务接口
 *
 * @author yuy336
 * @since 2022-07-06 14:12:22
 */
@Mapper
public interface FpT1UploadStatusConverter {

    FpT1UploadStatusConverter INSTANCE = Mappers.getMapper(FpT1UploadStatusConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpT1UploadStatusDTO poToDto(FpT1UploadStatusPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    FpT1UploadStatusPO dtoToPo(FpT1UploadStatusDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<FpT1UploadStatusDTO> poListToDtoList(List<FpT1UploadStatusPO> list);
}
