package com.cusc.nirvana.user.rnr.fp.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.fp.common.BaseRnrPO;
import com.cusc.nirvana.user.rnr.fp.dao.handler.EncryptDataTypeHandler;
import lombok.Data;

/**
 * 车辆信息表(FpCarInfo)实体类
 *
 * @author yuy336
 * @since 2022-06-28 19:46:23
 */
@TableName(value = "fp_car_info", autoResultMap = true)
@Data
public class FpCarInfoPO extends BaseRnrPO {

    private static final long serialVersionUID = -60524180919115976L;
    
        
    @TableField("uuid")
    private String uuid;
    
    /**
     * 道路机动 车辆生产企业名称
     */    
    @TableField("name_vehicle_enterprise")
    private String nameVehicleEnterprise;
    
    /**
     * 车辆识别代号或车架号
     */    
    @TableField(value = "vin", typeHandler = EncryptDataTypeHandler.class)
    private String vin;
    
    /**
     * 车辆类型（1表示乘用车及客车，2表示货车，3表 示半挂车牵引车，4表示半挂车，5表示
            - 12 - 两轮摩托车和两轮轻便摩托车，6表示 三轮摩托车和三轮轻便摩托车，7表示 三轮汽车，8表示低速货车，9表示专用 汽车，10表示非《公告》车辆产品。）
     */    
    @TableField("vehicle_type")
    private String vehicleType;
    
    /**
     * 车辆产地
     */    
    @TableField("place_of_origin_of_vehicle")
    private String placeOfOriginOfVehicle;
    
    /**
     * 车辆品牌
     */    
    @TableField("vehicle_department")
    private String vehicleDepartment;
    
    /**
     * 车辆名称
     */    
    @TableField("vehicle_name")
    private String vehicleName;
    
    /**
     * 车辆型号
     */    
    @TableField("vehicle_num")
    private String vehicleNum;
    
    /**
     * 车型通用名称
     */    
    @TableField("vehicle_model")
    private String vehicleModel;
    
    /**
     * 车身颜色
     */    
    @TableField("body_color")
    private String bodyColor;
    
    /**
     * 燃料种类
     */    
    @TableField("fuel_type")
    private String fuelType;
    
    /**
     * 发动机号码
     */    
    @TableField("engine_num")
    private String engineNum;
    
    /**
     * 电动机序列号
     */    
    @TableField("motor_num")
    private String motorNum;
    
    /**
     * 车辆出厂时间
     */    
    @TableField("vehicle_departure_time")
    private String vehicleDepartureTime;
    
    /**
     * 车辆销售时间
     */    
    @TableField("vehicle_sales_time")
    private String vehicleSalesTime;
    
    /**
     * 车辆销售信息变更时间
     */    
    @TableField("vehicle_sales_update_time")
    private String vehicleSalesUpdateTime;
    
    /**
     * 车牌号码
     */    
    @TableField(value = "license_plate_number", typeHandler = EncryptDataTypeHandler.class)
    private String licensePlateNumber;
    
    /**
     * 车辆销售 渠道名称
     */    
    @TableField("vehicle_channel_name")
    private String vehicleChannelName;
    
    /**
     * 车辆销售渠道类型
     */    
    @TableField("vehicle_channel_type")
    private String vehicleChannelType;
    
    /**
     * 车辆销售渠道员工姓名
     */    
    @TableField(value = "vehicle_staff_name" , typeHandler = EncryptDataTypeHandler.class)
    private String vehicleStaffName;
    
    /**
     * 车辆销售渠道地址
     */    
    @TableField("vehicle_loggin_address")
    private String vehicleLogginAddress;
    
    /**
     * 组织编码
     */    
    @TableField("orgId")
    private String orgid;
    
    /**
     * 租户编码
     */    
    @TableField("tenantNo")
    private String tenantno;
    
    /**
     * 更新人
     */    
    @TableField("operator")
    private String operator;

    /**
     * 更新人
     */
    @TableField("tag_id")
    private String tagId;

}

