package com.cusc.nirvana.user.rnr.fp.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.fp.common.BaseRnrPO;
import lombok.Data;

/**
 * 实名业务短信信息(FpRnrSmsInfo)实体类
 *
 * @author yuy336
 * @since 2022-04-19 20:39:07
 */
@TableName("fp_rnr_sms_info")
@Data
public class FpRnrSmsInfoPO extends BaseRnrPO {

    private static final long serialVersionUID = 131662820305138963L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 实名id
     */    
    @TableField("rnr_id")
    private String rnrId;
    
    /**
     * 业务对应的卡，多张，建议逗号隔开
     */    
    @TableField("iccids")
    private String iccids;
    
    /**
     * 实名短信类型：1 一车多卡绑定 2 原车主解绑 3 二手车解绑  4换件
     */    
    @TableField("biz_type")
    private Integer bizType;
    
    /**
     * 发送的短信id
     */    
    @TableField("send_sms_id")
    private String sendSmsId;
    
    /**
     * 发送的号码
     */    
    @TableField("send_phone")
    private String sendPhone;
    
    /**
     * 发送的内容
     */    
    @TableField("send_content")
    private String sendContent;
    
    /**
     * 接收的短信id
     */    
    @TableField("receive_sms_id")
    private String receiveSmsId;
    
    /**
     * 接收的号码
     */    
    @TableField("receive_phone")
    private String receivePhone;
    
    /**
     * 接收的内容
     */    
    @TableField("receive_content")
    private String receiveContent;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;

    /**
     * 工单id
     */
    @TableField("order_id")
    private String orderId;
}

