package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author: jk
 * @since: 2023/3/3 13:57
 * @description:
 */
@Data
public class T1CallbackResultDTO {

    /**
     * 请求标识
     * 与请求消息中请求标识一致，用于关联请求消息和响应消息
     */
    @NotBlank(message = "请求标识不可以为空")
    private String RequestID;
    /**
     * 操作结果
     * 1表示成功、2表示不成功 3文件检查可能失败。其中2需要调用方核验数据正确性后重新上报，3建议调用方核查文件的准确性，由于自动比对无法100%准确，如果确认信息准确无需处理，如果需要重新上报文件，可将文件重新上报一次。
     */
    private String OprRst;

    /**
     * 失败原因信息
     */
    private List<CheckMsgDTO> CheckMsgList;

    /**
     * 车联网卡ICCID
     */
    private String ICCID;



}
