package com.cusc.nirvana.user.rnr.fp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dao.entity.FpCarInfoPO;
import com.cusc.nirvana.user.rnr.fp.dto.CarInfoBindingDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FpCarInfoDTO;

import java.util.List;

/**
 * 车辆信息表(FpCarInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-06-28 19:46:25
 */
public interface IFpCarInfoService extends IService<FpCarInfoPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    FpCarInfoDTO getByUuid(FpCarInfoDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<FpCarInfoDTO> queryByList(FpCarInfoDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<FpCarInfoDTO> queryByPage(FpCarInfoDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpCarInfoDTO insert(FpCarInfoDTO bean);

     /**
       * @author: jk
       * @description: 批量插入
       * @date: 2022/6/29 14:05
       * @version: 1.0
       */
     Response addBatch(CarInfoBindingDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpCarInfoDTO update(FpCarInfoDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(FpCarInfoDTO bean);

}
