package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderDetailDTO;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderListQueryDTO;
import com.cusc.nirvana.user.rnr.fp.dto.RnrOrderListResponseDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import com.cusc.nirvana.user.rnr.mg.dto.LocalVerifyListDTO;
import com.cusc.nirvana.user.rnr.mg.dto.LocalVerifyListRqDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;


/**
 * @author stayAnd
 * @date 2022/7/28
 */
public interface IRnrOrderService {


	/**
	 * 页面分页查询
	 * @param dto 请求参数
	 * @return 返回结果
	 */
	PageResult<RnrOrderListResponseDTO> pageListQuery(RnrOrderListQueryDTO dto);

	/**
	 *  根据工单id分页查询卡信息
	 * @param dto orderId
	 * @return 返回结果
	 */
	PageResult<VinCardDTO> queryCardPageByOrderId(MgRnrCardInfoDTO dto);

	/**
	 * 查询详情
	 * @param orderId orderId
	 * @return 返回结果
	 */
	RnrOrderDetailDTO queryOrderDetail(String orderId);


	/**
	 * 查询
	 * @param dto
	 * @return
	 */
	PageResult<LocalVerifyListDTO> localverifyList(RnrOrderListQueryDTO dto);

}
